> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> Retrieve a paginated list of API keys for an application.

Requires the `read:api_credentials` permission, available to users with a `member` or `owner` role in the organization that owns the application.

Returns:
    Paginated list of API keys for the application.

Security Note:
    This endpoint only returns metadata about API keys.
    API secrets cannot be retrieved after creation.



## OpenAPI

````yaml GET /api-keys
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /api-keys:
    get:
      tags:
        - api-keys
      summary: List Api Keys
      description: >-
        Retrieve a paginated list of API keys for an application.


        Requires the `read:api_credentials` permission, available to users with
        a `member` or `owner` role in the organization that owns the
        application.


        Returns:
            Paginated list of API keys for the application.

        Security Note:
            This endpoint only returns metadata about API keys.
            API secrets cannot be retrieved after creation.
      operationId: list_api_keys_api_keys_get
      parameters:
        - name: app_id
          in: query
          required: true
          schema:
            type: string
            description: Application ID to retrieve API keys for
            title: App Id
          description: Application ID to retrieve API keys for
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number for pagination (1-indexed)
            default: 1
            title: Page
          description: Page number for pagination (1-indexed)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of items per page
            default: 20
            title: Limit
          description: Number of items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeysListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiKeysListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ApiKeyInfo'
          type: array
          title: Data
        pagination:
          additionalProperties: true
          type: object
          title: Pagination
      type: object
      required:
        - data
        - pagination
      title: ApiKeysListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiKeyInfo:
      properties:
        name:
          type: string
          title: Name
        api_key:
          type: string
          title: Api Key
        permissions:
          items:
            type: string
            enum:
              - read:applications
              - read:organizations
              - read:traces
              - update:applications
              - update:organizations
              - write:traces
          type: array
          title: Permissions
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - name
        - api_key
        - permissions
        - created_at
        - updated_at
      title: ApiKeyInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````